#include "UserInput.h"

namespace kft {

void UserInput::reset()
{
	_reinforcement[0]=_reinforcement[1]=0;
	_commands[0]=_commands[1]=NULL_MOVE;
}

void UserInput::reinforce(int pnum, double value)
{
	_reinforcement[pnum] += value;
}

void UserInput::give_command(int pnum, MOVE_ID move)
{
	_commands[pnum] = move;
}

}
